Rensei docs

List durable A2A streams in a project without advancing cursors.

List durable A2A streams in a project without advancing cursors. - Rensei REST API operation reference.

GET
/api/projects/{projectId}/a2a/streams

Path Parameters

projectId*string
Length1 <= length

Query Parameters

limit?integer
Range1 <= value <= 200
cursor?string
Length1 <= length <= 4096
offset?integer
Range0 <= value <= 9007199254740991

Response Body

Bounded stream summaries from the append-only message store.

application/json
  1. response
streams*array<>
nextCursor*string|null
nextOffset*|
Range0 <= value <= 9007199254740991
truncated*boolean
messageFlowsTruncated*boolean
Example Request
curl -X GET 'https://app.rensei.ai/api/projects/string/a2a/streams'
Example Response
{  "streams": [    {      "streamId": "string",      "messageCount": 0,      "firstSeq": 1,      "lastSeq": 1,      "firstMessageAt": "2019-08-24T14:15:22Z",      "lastMessageAt": "2019-08-24T14:15:22Z",      "messageFlows": [        {          "senderId": "string",          "recipientId": "string",          "messageCount": 0,          "firstSeq": 1,          "lastSeq": 1        }      ],      "messageFlowsTruncated": true    }  ],  "nextCursor": "string",  "nextOffset": 0,  "truncated": true,  "messageFlowsTruncated": true}